Package org.apache.catalina.webresources

## Class ClasspathURLStreamHandler

- java.lang.Object
- - java.net.URLStreamHandler
  - - org.apache.catalina.webresources.ClasspathURLStreamHandler

    public class ClasspathURLStreamHandler
    extends java.net.URLStreamHandler

### Constructor Summary

Constructors
`ClasspathURLStreamHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected java.net.URLConnection` `openConnection​(java.net.URL u)`

### Methods inherited from class java.net.URLStreamHandler

`equals, getDefaultPort, getHostAddress, hashCode, hostsEqual, openConnection, parseURL, sameFile, setURL, setURL, toExternalForm`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClasspathURLStreamHandler

    public ClasspathURLStreamHandler()

### Method Detail

#### openConnection

    protected java.net.URLConnection openConnection​(java.net.URL u)
                                             throws java.io.IOException

Specified by:
  `openConnection` in class `java.net.URLStreamHandler`
Throws:
  `java.io.IOException`